Attribute VB_Name = "Eng_Id.bas"
'-------------------------------------------------------
' eqinfo.bas - DshGemLib / DSHEng4 ID definition         
'-------------------------------------------------------
Public Const EC_Mdln =                                  1                ' 0x00000001
Public Const EC_SoftRev =                               2                ' 0x00000002
Public Const EC_InitCommState =                         4                ' 0x00000004
Public Const EC_InitControlState =                      5                ' 0x00000005
Public Const EC_InitOfflineSubState =                   6                ' 0x00000006
Public Const EC_SpoolEnable =                           7                ' 0x00000007
Public Const EC_ControlMode =                           80               ' 0x00000050
Public Const EC_PortAccessMode =                        256              ' 0x00000100
Public Const EC_Port1AccessMode =                       257              ' 0x00000101
Public Const EC_Port2AccessMode =                       258              ' 0x00000102
Public Const EC_Port3AccessMode =                       259              ' 0x00000103
Public Const EC_UndockStyle =                           272              ' 0x00000110
Public Const EC_UnClampStyle =                          274              ' 0x00000112
Public Const EC_ManualTimer =                           275              ' 0x00000113
Public Const EC_ManualInType =                          276              ' 0x00000114
Public Const EC_ManualOutType =                         278              ' 0x00000116
Public Const EC_MaxSpoolTransmit =                      512              ' 0x00000200
Public Const EC_OverWriteSpool =                        513              ' 0x00000201
Public Const EC_BinTest =                               1024             ' 0x00000400
Public Const EC_Int1Test =                              1025             ' 0x00000401
Public Const EC_Int2Test =                              1026             ' 0x00000402
Public Const EC_Int4Test =                              1027             ' 0x00000403
Public Const EC_SingleTest =                            1028             ' 0x00000404
Public Const EC_DoubleTest =                            1029             ' 0x00000405
Public Const EC_List1 =                                 1030             ' 0x00000406
Public Const SV_Clock =                                 8192             ' 0x00002000
Public Const SV_CommunicationState =                    8193             ' 0x00002001
Public Const SV_ControlState =                          8194             ' 0x00002002
Public Const SV_CJExecName1 =                           8195             ' 0x00002003
Public Const SV_CJExecName2 =                           8196             ' 0x00002004
Public Const SV_CJExecName3 =                           8197             ' 0x00002005
Public Const SV_ReadyToLoad =                           8198             ' 0x00002006
Public Const SV_LoadPortTransferStatus =                8199             ' 0x00002007
Public Const SV_LoadPortId =                            8200             ' 0x00002008
Public Const SV_LoadCarId =                             8201             ' 0x00002009
Public Const SV_LoadCarIdStatus =                       8202             ' 0x0000200a
Public Const SV_LoadSlotMapStatus =                     8203             ' 0x0000200b
Public Const SV_LoadPortAssociationStatus =             8204             ' 0x0000200c
Public Const SV_LoadCarAccessStatus =                   8205             ' 0x0000200d
Public Const SV_TransferStatus =                        8206             ' 0x0000200e
Public Const SV_LotId =                                 8207             ' 0x0000200f
Public Const SV_SubstID =                               8208             ' 0x00002010
Public Const SV_SubstProcState =                        8209             ' 0x00002011
Public Const SV_SubstState =                            8210             ' 0x00002012
Public Const SV_CarUsage =                              8211             ' 0x00002013
Public Const SV_CarLocation =                           8212             ' 0x00002014
Public Const SV_SubstList =                             8213             ' 0x00002015
Public Const SV_UnloadPortId =                          8214             ' 0x00002016
Public Const SV_UnloadCarId =                           8215             ' 0x00002017
Public Const SV_UnloadCarIdStatus =                     8216             ' 0x00002018
Public Const SV_UnloadSlotMapStatus =                   8217             ' 0x00002019
Public Const SV_UnloadPortAssociationStatus =           8218             ' 0x0000201a
Public Const SV_UnloadCarAccessStatus =                 8219             ' 0x0000201b
Public Const SV_AccessModeStatus =                      8220             ' 0x0000201c
Public Const SV_Access1ModeStatus =                     8221             ' 0x0000201d
Public Const SV_Access2ModeStatus =                     8222             ' 0x0000201e
Public Const SV_Access3ModeStatus =                     8223             ' 0x0000201f
Public Const SV_Port1ReservedStatus =                   8224             ' 0x00002020
Public Const SV_Port2ReservedStatus =                   8225             ' 0x00002021
Public Const SV_PPID =                                  8226             ' 0x00002022
Public Const SV_PrjID =                                 8227             ' 0x00002023
Public Const SV_PrjState =                              8228             ' 0x00002024
Public Const SV_CJID =                                  8229             ' 0x00002025
Public Const SV_CjState =                               8230             ' 0x00002026
Public Const SV_SpoolState =                            8231             ' 0x00002027
Public Const SV_SpoolCountActual =                      8232             ' 0x00002028
Public Const SV_SpoolCountTotal =                       8233             ' 0x00002029
Public Const SV_SpoolFullTime =                         8234             ' 0x0000202a
Public Const SV_ControlJobStatus =                      8235             ' 0x0000202b
Public Const SV_ProcessJobStatus =                      8236             ' 0x0000202c
Public Const SV_WaferTransportState =                   8237             ' 0x0000202d
Public Const SV_WaferProcesStatus =                     8238             ' 0x0000202e
Public Const SV_WaferLocationStatus =                   8239             ' 0x0000202f
Public Const SV_SpoolStartTime =                        8240             ' 0x00002030
Public Const SV_LimitVid =                              8250             ' 0x0000203a
Public Const SV_LimitDir =                              8251             ' 0x0000203b
Public Const SV_LimitDVVal =                            8252             ' 0x0000203c
Public Const SV_LimitLimitid =                          8253             ' 0x0000203d
Public Const SV_List1 =                                 254              ' 0x000000fe
Public Const SV_List2 =                                 252              ' 0x000000fc
Public Const DV_StartTime =                             8300             ' 0x0000206c
Public Const DV_EndTime =                               8301             ' 0x0000206d
Public Const DV_Temp1 =                                 8302             ' 0x0000206e
Public Const DV_Temp1_bin =                             8303             ' 0x0000206f
Public Const DV_Temp2 =                                 8304             ' 0x00002070
Public Const DV_Temp2_bin =                             8305             ' 0x00002071
Public Const DV_List1 =                                 8306             ' 0x00002072
Public Const CE_Communicating =                         2                ' 0x00000002
Public Const CE_SpoolDeactivated =                      999              ' 0x000003e7
Public Const CE_ControlState =                          100              ' 0x00000064
Public Const CE_AlarmOn =                               200              ' 0x000000c8
Public Const CE_AlarmOff =                              201              ' 0x000000c9
Public Const CE_PortAccessMode =                        2200             ' 0x00000898
Public Const CE_Port1AccessMode =                       2201             ' 0x00000899
Public Const CE_Port2AccessMode =                       2202             ' 0x0000089a
Public Const CE_Port3AccessMode =                       2203             ' 0x0000089b
Public Const CE_ReadyToLoad =                           15600            ' 0x00003cf0
Public Const CE_LoadTransferBlocked =                   15792            ' 0x00003db0
Public Const CE_LoadMaterialArrived =                   15793            ' 0x00003db1
Public Const CE_LoadWaitingForHost =                    15794            ' 0x00003db2
Public Const CE_LoadAssociated =                        15795            ' 0x00003db3
Public Const CE_IdVerifyOK =                            15796            ' 0x00003db4
Public Const CE_OpenFoup =                              15797            ' 0x00003db5
Public Const CE_SlotMapVerifyOK =                       15798            ' 0x00003db6
Public Const CE_SubstAtSource =                         15799            ' 0x00003db7
Public Const CE_SubstOccupied =                         15800            ' 0x00003db8
Public Const CE_PrJobPooled =                           15801            ' 0x00003db9
Public Const CE_CJobQueued =                            15808            ' 0x00003dc0
Public Const CE_CJobSelected =                          15809            ' 0x00003dc1
Public Const CE_ExecBegan =                             15810            ' 0x00003dc2
Public Const CE_PrJobSetup =                            15811            ' 0x00003dc3
Public Const CE_CarInAccess =                           15812            ' 0x00003dc4
Public Const CE_SubstAtWork =                           15813            ' 0x00003dc5
Public Const CE_SubstInProcess =                        15814            ' 0x00003dc6
Public Const CE_PrJobProcessing =                       15815            ' 0x00003dc7
Public Const CE_SubstProcessingComplete =               15816            ' 0x00003dc8
Public Const CE_ProcessingComplete =                    15817            ' 0x00003dc9
Public Const CE_SubstAtDestination =                    15824            ' 0x00003dd0
Public Const CE_PrJobComplete =                         15825            ' 0x00003dd1
Public Const CE_CJobComplete =                          15826            ' 0x00003dd2
Public Const CE_CJobDeleted =                           15827            ' 0x00003dd3
Public Const CE_CloseFoup =                             15828            ' 0x00003dd4
Public Const CE_CarComplete =                           15829            ' 0x00003dd5
Public Const CE_ReadyToUnload =                         15856            ' 0x00003df0
Public Const CE_UnLoadTransferBlocked =                 15857            ' 0x00003df1
Public Const CE_MaterialRemoved =                       15858            ' 0x00003df2
Public Const CE_CarDeleted =                            15859            ' 0x00003df3
Public Const CE_LoadNotAssociated =                     15861            ' 0x00003df5
Public Const CE_LimitChange =                           15862            ' 0x00003df6
Public Const CE_TestList =                              254              ' 0x000000fe
Public Const CE_NestTest =                              800              ' 0x00000320
Public Const RP_Communicating =                         10               ' 0x0000000a
Public Const RP_ControlState =                          100              ' 0x00000064
Public Const RP_PortAccessMode =                        1200             ' 0x000004b0
Public Const RP_Port1AccessMode =                       1201             ' 0x000004b1
Public Const RP_Port2AccessMode =                       1202             ' 0x000004b2
Public Const RP_Port3AccessMode =                       1203             ' 0x000004b3
Public Const RP_ReadyToLoad =                           15600            ' 0x00003cf0
Public Const RP_LoadPort =                              15792            ' 0x00003db0
Public Const RP_SubstAtSource =                         15856            ' 0x00003df0
Public Const RP_SubstReport =                           15857            ' 0x00003df1
Public Const RP_PrJobReport =                           15870            ' 0x00003dfe
Public Const RP_CJobReport =                            15871            ' 0x00003dff
Public Const RP_LimitChange =                           15872            ' 0x00003e00
Public Const RP_UnloadPort =                            15808            ' 0x00003dc0
Public Const RP_TestList =                              254              ' 0x000000fe
Public Const RP_NestTest =                              9999             ' 0x0000270f
Public Const AL_AlarmTempOver =                         1                ' 0x00000001
Public Const AL_AlarmPressure_1_Low =                   101              ' 0x00000065
Public Const AL_AlarmPressure_2_Low =                   102              ' 0x00000066
Public Const AL_AlarmPressure_3_Low =                   103              ' 0x00000067
Public Const pp_1 =                                      "PP-1111 "
Public Const fpp_1 =                                     "PPID001"
Public Const rcp_process_A =                             "RCP100"
Public Const trace_1 =                                   "TRACE1"
Public Const spool_2 =                                   "spool_2"
Public Const spool_3 =                                   "spool_3"
Public Const spool_6 =                                   "spool_6"
