/*------------------------------------------------------*/
/*  eqinfo.cs - DshGemLib / DSHEng4 ID Definition       */
/*------------------------------------------------------*/
namespace DshApp
{
    class eng_id
    {
    public const int EC_Mdln =                           1;              // 0x00000001
    public const int EC_SoftRev =                        2;              // 0x00000002
    public const int EC_InitCommState =                  4;              // 0x00000004
    public const int EC_InitControlState =               5;              // 0x00000005
    public const int EC_InitOfflineSubState =            6;              // 0x00000006
    public const int EC_SpoolEnable =                    7;              // 0x00000007
    public const int EC_ControlMode =                    80;             // 0x00000050
    public const int EC_PortAccessMode =                 256;            // 0x00000100
    public const int EC_Port1AccessMode =                257;            // 0x00000101
    public const int EC_Port2AccessMode =                258;            // 0x00000102
    public const int EC_Port3AccessMode =                259;            // 0x00000103
    public const int EC_UndockStyle =                    272;            // 0x00000110
    public const int EC_UnClampStyle =                   274;            // 0x00000112
    public const int EC_ManualTimer =                    275;            // 0x00000113
    public const int EC_ManualInType =                   276;            // 0x00000114
    public const int EC_ManualOutType =                  278;            // 0x00000116
    public const int EC_MaxSpoolTransmit =               512;            // 0x00000200
    public const int EC_OverWriteSpool =                 513;            // 0x00000201
    public const int EC_BinTest =                        1024;           // 0x00000400
    public const int EC_Int1Test =                       1025;           // 0x00000401
    public const int EC_Int2Test =                       1026;           // 0x00000402
    public const int EC_Int4Test =                       1027;           // 0x00000403
    public const int EC_SingleTest =                     1028;           // 0x00000404
    public const int EC_DoubleTest =                     1029;           // 0x00000405
    public const int EC_List1 =                          1030;           // 0x00000406
    public const int SV_Clock =                          8192;           // 0x00002000
    public const int SV_CommunicationState =             8193;           // 0x00002001
    public const int SV_ControlState =                   8194;           // 0x00002002
    public const int SV_CJExecName1 =                    8195;           // 0x00002003
    public const int SV_CJExecName2 =                    8196;           // 0x00002004
    public const int SV_CJExecName3 =                    8197;           // 0x00002005
    public const int SV_ReadyToLoad =                    8198;           // 0x00002006
    public const int SV_LoadPortTransferStatus =         8199;           // 0x00002007
    public const int SV_LoadPortId =                     8200;           // 0x00002008
    public const int SV_LoadCarId =                      8201;           // 0x00002009
    public const int SV_LoadCarIdStatus =                8202;           // 0x0000200a
    public const int SV_LoadSlotMapStatus =              8203;           // 0x0000200b
    public const int SV_LoadPortAssociationStatus =      8204;           // 0x0000200c
    public const int SV_LoadCarAccessStatus =            8205;           // 0x0000200d
    public const int SV_TransferStatus =                 8206;           // 0x0000200e
    public const int SV_LotId =                          8207;           // 0x0000200f
    public const int SV_SubstID =                        8208;           // 0x00002010
    public const int SV_SubstProcState =                 8209;           // 0x00002011
    public const int SV_SubstState =                     8210;           // 0x00002012
    public const int SV_CarUsage =                       8211;           // 0x00002013
    public const int SV_CarLocation =                    8212;           // 0x00002014
    public const int SV_SubstList =                      8213;           // 0x00002015
    public const int SV_UnloadPortId =                   8214;           // 0x00002016
    public const int SV_UnloadCarId =                    8215;           // 0x00002017
    public const int SV_UnloadCarIdStatus =              8216;           // 0x00002018
    public const int SV_UnloadSlotMapStatus =            8217;           // 0x00002019
    public const int SV_UnloadPortAssociationStatus =    8218;           // 0x0000201a
    public const int SV_UnloadCarAccessStatus =          8219;           // 0x0000201b
    public const int SV_AccessModeStatus =               8220;           // 0x0000201c
    public const int SV_Access1ModeStatus =              8221;           // 0x0000201d
    public const int SV_Access2ModeStatus =              8222;           // 0x0000201e
    public const int SV_Access3ModeStatus =              8223;           // 0x0000201f
    public const int SV_Port1ReservedStatus =            8224;           // 0x00002020
    public const int SV_Port2ReservedStatus =            8225;           // 0x00002021
    public const int SV_PPID =                           8226;           // 0x00002022
    public const int SV_PrjID =                          8227;           // 0x00002023
    public const int SV_PrjState =                       8228;           // 0x00002024
    public const int SV_CJID =                           8229;           // 0x00002025
    public const int SV_CjState =                        8230;           // 0x00002026
    public const int SV_SpoolState =                     8231;           // 0x00002027
    public const int SV_SpoolCountActual =               8232;           // 0x00002028
    public const int SV_SpoolCountTotal =                8233;           // 0x00002029
    public const int SV_SpoolFullTime =                  8234;           // 0x0000202a
    public const int SV_ControlJobStatus =               8235;           // 0x0000202b
    public const int SV_ProcessJobStatus =               8236;           // 0x0000202c
    public const int SV_WaferTransportState =            8237;           // 0x0000202d
    public const int SV_WaferProcesStatus =              8238;           // 0x0000202e
    public const int SV_WaferLocationStatus =            8239;           // 0x0000202f
    public const int SV_SpoolStartTime =                 8240;           // 0x00002030
    public const int SV_LimitVid =                       8250;           // 0x0000203a
    public const int SV_LimitDir =                       8251;           // 0x0000203b
    public const int SV_LimitDVVal =                     8252;           // 0x0000203c
    public const int SV_LimitLimitid =                   8253;           // 0x0000203d
    public const int SV_List1 =                          254;            // 0x000000fe
    public const int SV_List2 =                          252;            // 0x000000fc
    public const int DV_StartTime =                      8300;           // 0x0000206c
    public const int DV_EndTime =                        8301;           // 0x0000206d
    public const int DV_Temp1 =                          8302;           // 0x0000206e
    public const int DV_Temp1_bin =                      8303;           // 0x0000206f
    public const int DV_Temp2 =                          8304;           // 0x00002070
    public const int DV_Temp2_bin =                      8305;           // 0x00002071
    public const int DV_List1 =                          8306;           // 0x00002072
    public const int CE_Communicating =                  2;              // 0x00000002
    public const int CE_SpoolDeactivated =               999;            // 0x000003e7
    public const int CE_ControlState =                   100;            // 0x00000064
    public const int CE_AlarmOn =                        200;            // 0x000000c8
    public const int CE_AlarmOff =                       201;            // 0x000000c9
    public const int CE_PortAccessMode =                 2200;           // 0x00000898
    public const int CE_Port1AccessMode =                2201;           // 0x00000899
    public const int CE_Port2AccessMode =                2202;           // 0x0000089a
    public const int CE_Port3AccessMode =                2203;           // 0x0000089b
    public const int CE_ReadyToLoad =                    15600;          // 0x00003cf0
    public const int CE_LoadTransferBlocked =            15792;          // 0x00003db0
    public const int CE_LoadMaterialArrived =            15793;          // 0x00003db1
    public const int CE_LoadWaitingForHost =             15794;          // 0x00003db2
    public const int CE_LoadAssociated =                 15795;          // 0x00003db3
    public const int CE_IdVerifyOK =                     15796;          // 0x00003db4
    public const int CE_OpenFoup =                       15797;          // 0x00003db5
    public const int CE_SlotMapVerifyOK =                15798;          // 0x00003db6
    public const int CE_SubstAtSource =                  15799;          // 0x00003db7
    public const int CE_SubstOccupied =                  15800;          // 0x00003db8
    public const int CE_PrJobPooled =                    15801;          // 0x00003db9
    public const int CE_CJobQueued =                     15808;          // 0x00003dc0
    public const int CE_CJobSelected =                   15809;          // 0x00003dc1
    public const int CE_ExecBegan =                      15810;          // 0x00003dc2
    public const int CE_PrJobSetup =                     15811;          // 0x00003dc3
    public const int CE_CarInAccess =                    15812;          // 0x00003dc4
    public const int CE_SubstAtWork =                    15813;          // 0x00003dc5
    public const int CE_SubstInProcess =                 15814;          // 0x00003dc6
    public const int CE_PrJobProcessing =                15815;          // 0x00003dc7
    public const int CE_SubstProcessingComplete =        15816;          // 0x00003dc8
    public const int CE_ProcessingComplete =             15817;          // 0x00003dc9
    public const int CE_SubstAtDestination =             15824;          // 0x00003dd0
    public const int CE_PrJobComplete =                  15825;          // 0x00003dd1
    public const int CE_CJobComplete =                   15826;          // 0x00003dd2
    public const int CE_CJobDeleted =                    15827;          // 0x00003dd3
    public const int CE_CloseFoup =                      15828;          // 0x00003dd4
    public const int CE_CarComplete =                    15829;          // 0x00003dd5
    public const int CE_ReadyToUnload =                  15856;          // 0x00003df0
    public const int CE_UnLoadTransferBlocked =          15857;          // 0x00003df1
    public const int CE_MaterialRemoved =                15858;          // 0x00003df2
    public const int CE_CarDeleted =                     15859;          // 0x00003df3
    public const int CE_LoadNotAssociated =              15861;          // 0x00003df5
    public const int CE_LimitChange =                    15862;          // 0x00003df6
    public const int CE_TestList =                       254;            // 0x000000fe
    public const int CE_NestTest =                       800;            // 0x00000320
    public const int RP_Communicating =                  10;             // 0x0000000a
    public const int RP_ControlState =                   100;            // 0x00000064
    public const int RP_PortAccessMode =                 1200;           // 0x000004b0
    public const int RP_Port1AccessMode =                1201;           // 0x000004b1
    public const int RP_Port2AccessMode =                1202;           // 0x000004b2
    public const int RP_Port3AccessMode =                1203;           // 0x000004b3
    public const int RP_ReadyToLoad =                    15600;          // 0x00003cf0
    public const int RP_LoadPort =                       15792;          // 0x00003db0
    public const int RP_SubstAtSource =                  15856;          // 0x00003df0
    public const int RP_SubstReport =                    15857;          // 0x00003df1
    public const int RP_PrJobReport =                    15870;          // 0x00003dfe
    public const int RP_CJobReport =                     15871;          // 0x00003dff
    public const int RP_LimitChange =                    15872;          // 0x00003e00
    public const int RP_UnloadPort =                     15808;          // 0x00003dc0
    public const int RP_TestList =                       254;            // 0x000000fe
    public const int RP_NestTest =                       9999;           // 0x0000270f
    public const int AL_AlarmTempOver =                  1;              // 0x00000001
    public const int AL_AlarmPressure_1_Low =            101;            // 0x00000065
    public const int AL_AlarmPressure_2_Low =            102;            // 0x00000066
    public const int AL_AlarmPressure_3_Low =            103;            // 0x00000067
    public const string pp_1  =                          "PP-1111 ";
    public const string fpp_1  =                         "PPID001";
    public const string rcp_process_A  =                 "RCP100";
    public const string trace_1  =                       "TRACE1";
    public const string spool_2  =                       "spool_2";
    public const string spool_3  =                       "spool_3";
    public const string spool_6  =                       "spool_6";

    }
}
