'-------------------------------------------------------
' eqinfo.vb - DshGemLib / DSHEng4 ID definition         
'-------------------------------------------------------
Public Class Ceng_id
  Public Const EC_Mdln as Integer =                     1                ' 0x00000001
  Public Const EC_SoftRev as Integer =                  2                ' 0x00000002
  Public Const EC_InitCommState as Integer =            4                ' 0x00000004
  Public Const EC_InitControlState as Integer =         5                ' 0x00000005
  Public Const EC_InitOfflineSubState as Integer =      6                ' 0x00000006
  Public Const EC_SpoolEnable as Integer =              7                ' 0x00000007
  Public Const EC_ControlMode as Integer =              80               ' 0x00000050
  Public Const EC_PortAccessMode as Integer =           256              ' 0x00000100
  Public Const EC_Port1AccessMode as Integer =          257              ' 0x00000101
  Public Const EC_Port2AccessMode as Integer =          258              ' 0x00000102
  Public Const EC_Port3AccessMode as Integer =          259              ' 0x00000103
  Public Const EC_UndockStyle as Integer =              272              ' 0x00000110
  Public Const EC_UnClampStyle as Integer =             274              ' 0x00000112
  Public Const EC_ManualTimer as Integer =              275              ' 0x00000113
  Public Const EC_ManualInType as Integer =             276              ' 0x00000114
  Public Const EC_ManualOutType as Integer =            278              ' 0x00000116
  Public Const EC_MaxSpoolTransmit as Integer =         512              ' 0x00000200
  Public Const EC_OverWriteSpool as Integer =           513              ' 0x00000201
  Public Const EC_BinTest as Integer =                  1024             ' 0x00000400
  Public Const EC_Int1Test as Integer =                 1025             ' 0x00000401
  Public Const EC_Int2Test as Integer =                 1026             ' 0x00000402
  Public Const EC_Int4Test as Integer =                 1027             ' 0x00000403
  Public Const EC_SingleTest as Integer =               1028             ' 0x00000404
  Public Const EC_DoubleTest as Integer =               1029             ' 0x00000405
  Public Const EC_List1 as Integer =                    1030             ' 0x00000406
  Public Const SV_Clock as Integer =                    8192             ' 0x00002000
  Public Const SV_CommunicationState as Integer =       8193             ' 0x00002001
  Public Const SV_ControlState as Integer =             8194             ' 0x00002002
  Public Const SV_CJExecName1 as Integer =              8195             ' 0x00002003
  Public Const SV_CJExecName2 as Integer =              8196             ' 0x00002004
  Public Const SV_CJExecName3 as Integer =              8197             ' 0x00002005
  Public Const SV_ReadyToLoad as Integer =              8198             ' 0x00002006
  Public Const SV_LoadPortTransferStatus as Integer =   8199             ' 0x00002007
  Public Const SV_LoadPortId as Integer =               8200             ' 0x00002008
  Public Const SV_LoadCarId as Integer =                8201             ' 0x00002009
  Public Const SV_LoadCarIdStatus as Integer =          8202             ' 0x0000200a
  Public Const SV_LoadSlotMapStatus as Integer =        8203             ' 0x0000200b
  Public Const SV_LoadPortAssociationStatus as Integer = 8204            ' 0x0000200c
  Public Const SV_LoadCarAccessStatus as Integer =      8205             ' 0x0000200d
  Public Const SV_TransferStatus as Integer =           8206             ' 0x0000200e
  Public Const SV_LotId as Integer =                    8207             ' 0x0000200f
  Public Const SV_SubstID as Integer =                  8208             ' 0x00002010
  Public Const SV_SubstProcState as Integer =           8209             ' 0x00002011
  Public Const SV_SubstState as Integer =               8210             ' 0x00002012
  Public Const SV_CarUsage as Integer =                 8211             ' 0x00002013
  Public Const SV_CarLocation as Integer =              8212             ' 0x00002014
  Public Const SV_SubstList as Integer =                8213             ' 0x00002015
  Public Const SV_UnloadPortId as Integer =             8214             ' 0x00002016
  Public Const SV_UnloadCarId as Integer =              8215             ' 0x00002017
  Public Const SV_UnloadCarIdStatus as Integer =        8216             ' 0x00002018
  Public Const SV_UnloadSlotMapStatus as Integer =      8217             ' 0x00002019
  Public Const SV_UnloadPortAssociationStatus as Integer = 8218          ' 0x0000201a
  Public Const SV_UnloadCarAccessStatus as Integer =    8219             ' 0x0000201b
  Public Const SV_AccessModeStatus as Integer =         8220             ' 0x0000201c
  Public Const SV_Access1ModeStatus as Integer =        8221             ' 0x0000201d
  Public Const SV_Access2ModeStatus as Integer =        8222             ' 0x0000201e
  Public Const SV_Access3ModeStatus as Integer =        8223             ' 0x0000201f
  Public Const SV_Port1ReservedStatus as Integer =      8224             ' 0x00002020
  Public Const SV_Port2ReservedStatus as Integer =      8225             ' 0x00002021
  Public Const SV_PPID as Integer =                     8226             ' 0x00002022
  Public Const SV_PrjID as Integer =                    8227             ' 0x00002023
  Public Const SV_PrjState as Integer =                 8228             ' 0x00002024
  Public Const SV_CJID as Integer =                     8229             ' 0x00002025
  Public Const SV_CjState as Integer =                  8230             ' 0x00002026
  Public Const SV_SpoolState as Integer =               8231             ' 0x00002027
  Public Const SV_SpoolCountActual as Integer =         8232             ' 0x00002028
  Public Const SV_SpoolCountTotal as Integer =          8233             ' 0x00002029
  Public Const SV_SpoolFullTime as Integer =            8234             ' 0x0000202a
  Public Const SV_ControlJobStatus as Integer =         8235             ' 0x0000202b
  Public Const SV_ProcessJobStatus as Integer =         8236             ' 0x0000202c
  Public Const SV_WaferTransportState as Integer =      8237             ' 0x0000202d
  Public Const SV_WaferProcesStatus as Integer =        8238             ' 0x0000202e
  Public Const SV_WaferLocationStatus as Integer =      8239             ' 0x0000202f
  Public Const SV_SpoolStartTime as Integer =           8240             ' 0x00002030
  Public Const SV_LimitVid as Integer =                 8250             ' 0x0000203a
  Public Const SV_LimitDir as Integer =                 8251             ' 0x0000203b
  Public Const SV_LimitDVVal as Integer =               8252             ' 0x0000203c
  Public Const SV_LimitLimitid as Integer =             8253             ' 0x0000203d
  Public Const SV_List1 as Integer =                    254              ' 0x000000fe
  Public Const SV_List2 as Integer =                    252              ' 0x000000fc
  Public Const DV_StartTime as Integer =                8300             ' 0x0000206c
  Public Const DV_EndTime as Integer =                  8301             ' 0x0000206d
  Public Const DV_Temp1 as Integer =                    8302             ' 0x0000206e
  Public Const DV_Temp1_bin as Integer =                8303             ' 0x0000206f
  Public Const DV_Temp2 as Integer =                    8304             ' 0x00002070
  Public Const DV_Temp2_bin as Integer =                8305             ' 0x00002071
  Public Const DV_List1 as Integer =                    8306             ' 0x00002072
  Public Const CE_Communicating as Integer =            2                ' 0x00000002
  Public Const CE_SpoolDeactivated as Integer =         999              ' 0x000003e7
  Public Const CE_ControlState as Integer =             100              ' 0x00000064
  Public Const CE_AlarmOn as Integer =                  200              ' 0x000000c8
  Public Const CE_AlarmOff as Integer =                 201              ' 0x000000c9
  Public Const CE_PortAccessMode as Integer =           2200             ' 0x00000898
  Public Const CE_Port1AccessMode as Integer =          2201             ' 0x00000899
  Public Const CE_Port2AccessMode as Integer =          2202             ' 0x0000089a
  Public Const CE_Port3AccessMode as Integer =          2203             ' 0x0000089b
  Public Const CE_ReadyToLoad as Integer =              15600            ' 0x00003cf0
  Public Const CE_LoadTransferBlocked as Integer =      15792            ' 0x00003db0
  Public Const CE_LoadMaterialArrived as Integer =      15793            ' 0x00003db1
  Public Const CE_LoadWaitingForHost as Integer =       15794            ' 0x00003db2
  Public Const CE_LoadAssociated as Integer =           15795            ' 0x00003db3
  Public Const CE_IdVerifyOK as Integer =               15796            ' 0x00003db4
  Public Const CE_OpenFoup as Integer =                 15797            ' 0x00003db5
  Public Const CE_SlotMapVerifyOK as Integer =          15798            ' 0x00003db6
  Public Const CE_SubstAtSource as Integer =            15799            ' 0x00003db7
  Public Const CE_SubstOccupied as Integer =            15800            ' 0x00003db8
  Public Const CE_PrJobPooled as Integer =              15801            ' 0x00003db9
  Public Const CE_CJobQueued as Integer =               15808            ' 0x00003dc0
  Public Const CE_CJobSelected as Integer =             15809            ' 0x00003dc1
  Public Const CE_ExecBegan as Integer =                15810            ' 0x00003dc2
  Public Const CE_PrJobSetup as Integer =               15811            ' 0x00003dc3
  Public Const CE_CarInAccess as Integer =              15812            ' 0x00003dc4
  Public Const CE_SubstAtWork as Integer =              15813            ' 0x00003dc5
  Public Const CE_SubstInProcess as Integer =           15814            ' 0x00003dc6
  Public Const CE_PrJobProcessing as Integer =          15815            ' 0x00003dc7
  Public Const CE_SubstProcessingComplete as Integer =  15816            ' 0x00003dc8
  Public Const CE_ProcessingComplete as Integer =       15817            ' 0x00003dc9
  Public Const CE_SubstAtDestination as Integer =       15824            ' 0x00003dd0
  Public Const CE_PrJobComplete as Integer =            15825            ' 0x00003dd1
  Public Const CE_CJobComplete as Integer =             15826            ' 0x00003dd2
  Public Const CE_CJobDeleted as Integer =              15827            ' 0x00003dd3
  Public Const CE_CloseFoup as Integer =                15828            ' 0x00003dd4
  Public Const CE_CarComplete as Integer =              15829            ' 0x00003dd5
  Public Const CE_ReadyToUnload as Integer =            15856            ' 0x00003df0
  Public Const CE_UnLoadTransferBlocked as Integer =    15857            ' 0x00003df1
  Public Const CE_MaterialRemoved as Integer =          15858            ' 0x00003df2
  Public Const CE_CarDeleted as Integer =               15859            ' 0x00003df3
  Public Const CE_LoadNotAssociated as Integer =        15861            ' 0x00003df5
  Public Const CE_LimitChange as Integer =              15862            ' 0x00003df6
  Public Const CE_TestList as Integer =                 254              ' 0x000000fe
  Public Const CE_NestTest as Integer =                 800              ' 0x00000320
  Public Const RP_Communicating as Integer =            10               ' 0x0000000a
  Public Const RP_ControlState as Integer =             100              ' 0x00000064
  Public Const RP_PortAccessMode as Integer =           1200             ' 0x000004b0
  Public Const RP_Port1AccessMode as Integer =          1201             ' 0x000004b1
  Public Const RP_Port2AccessMode as Integer =          1202             ' 0x000004b2
  Public Const RP_Port3AccessMode as Integer =          1203             ' 0x000004b3
  Public Const RP_ReadyToLoad as Integer =              15600            ' 0x00003cf0
  Public Const RP_LoadPort as Integer =                 15792            ' 0x00003db0
  Public Const RP_SubstAtSource as Integer =            15856            ' 0x00003df0
  Public Const RP_SubstReport as Integer =              15857            ' 0x00003df1
  Public Const RP_PrJobReport as Integer =              15870            ' 0x00003dfe
  Public Const RP_CJobReport as Integer =               15871            ' 0x00003dff
  Public Const RP_LimitChange as Integer =              15872            ' 0x00003e00
  Public Const RP_UnloadPort as Integer =               15808            ' 0x00003dc0
  Public Const RP_TestList as Integer =                 254              ' 0x000000fe
  Public Const RP_NestTest as Integer =                 9999             ' 0x0000270f
  Public Const AL_AlarmTempOver as Integer =            1                ' 0x00000001
  Public Const AL_AlarmPressure_1_Low as Integer =      101              ' 0x00000065
  Public Const AL_AlarmPressure_2_Low as Integer =      102              ' 0x00000066
  Public Const AL_AlarmPressure_3_Low as Integer =      103              ' 0x00000067
  Public Const pp_1 as string =                          "PP-1111 "
  Public Const fpp_1 as string =                         "PPID001"
  Public Const rcp_process_A as string =                 "RCP100"
  Public Const trace_1 as string =                       "TRACE1"
  Public Const spool_2 as string =                       "spool_2"
  Public Const spool_3 as string =                       "spool_3"
  Public Const spool_6 as string =                       "spool_6"
End Class
